/*
*/

#include "clock.h"
#include "devices.h"

/******************************************************************************
Function name: CLK_Configure
returns:       none
parameters:    none
brief:         configures clock and PLL to operate at maximum bus speed (25MHz)
*******************************************************************************/
  
void CLK_Configure(void) 
{
    /*Using internal OSC. FREF = 1MHz*/
    CPMUOSC_OSCE = 0;

    /*FVCO = 50MHz = 2*FREF/(0x18+0x01)*/
    CPMUSYNR_SYNDIV = 0x18;   

    /*48MHz < fVCO<= 50MHz*/
    CPMUSYNR_VCOFRQ = 0x01;

    while(!CPMUFLG_LOCK)	/* Wait for PLL to lock */
    {
    }

    /* select the PLLCLK/2 as the bus clock */
    CPMUCLKS_PLLSEL = 1;

    /*FPLL = FVCO/(POSTDIV + 1) = 50MHz*/
    CPMUPOSTDIV = 0;

    /*FBUS = 25MHz*/  

    /*Mirror Bus clock to a PIN...Only use it for reference purposes not to clock another device*/
    ECLKCTL_NECLK = 1;
}